(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     45715,        997]
NotebookOptionsPosition[     45274,        976]
NotebookOutlinePosition[     45659,        993]
CellTagsIndexPosition[     45616,        990]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:5186\:5468\:89d2\:306e\:5b9a\:7406\:306e\:9006\:3000\:70b9A, B, C\:3068\
\:540c\:4e00\:5186\:5468\:4e0a\:306b\:3042\:308b\:3088\:3046\:306b\:70b9P\
\:3092\:79fb\:52d5\:3055\:305b\:3088\:3002\
\>", "Subsubsection",
 CellChangeTimes->{{3.62701661572211*^9, 3.6270168003729267`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"theta", "[", 
     RowBox[{"x_", ",", "A_", ",", "B_"}], "]"}], ":=", 
    RowBox[{"(", "\[IndentingNewLine]", "        ", 
     RowBox[{"Round", "[", 
      RowBox[{"180", "*", 
       RowBox[{
        RowBox[{"ArcCos", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "*", 
                RowBox[{"Cos", "[", "A", "]"}]}], ",", 
               RowBox[{"3", "*", 
                RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"x", "-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "*", 
                RowBox[{"Cos", "[", "B", "]"}]}], ",", 
               RowBox[{"3", "*", 
                RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
          "\[IndentingNewLine]", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Norm", "[", 
             RowBox[{"x", "-", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
            RowBox[{"Norm", "[", 
             RowBox[{"x", "-", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
           ")"}]}], "]"}], "/", "Pi"}]}], "]"}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.009", "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"c0", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "3"}], "]"}]}], "}"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"c1", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", "Dotted", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "3"}], "]"}]}], "}"}]}], 
          "]"}], ",", "\[IndentingNewLine]", "                     ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "Large", "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "A", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "]"}], ",", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "B", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Point", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "]"}]}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
         "           ", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{"PA", "=", 
            RowBox[{"x", "-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "*", 
                RowBox[{"Cos", "[", "A", "]"}]}], ",", 
               RowBox[{"3", "*", 
                RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}]}], ","}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Green", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{
           RowBox[{"PB", "=", 
            RowBox[{"x", "-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"3", "*", 
                RowBox[{"Cos", "[", "B", "]"}]}], ",", 
               RowBox[{"3", "*", 
                RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}]}], ","}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", " ", 
          RowBox[{"CA", "=", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "A", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}]}], " ", "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Blue", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], 
              "\[IndentingNewLine]", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"3", "*", 
                 RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                RowBox[{"3", "*", 
                 RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "}"}], "]"}]}], 
          "}"}], " ", ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{" ", 
            RowBox[{
             RowBox[{"CB", "=", 
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}]}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"3", "*", 
              RowBox[{"Cos", "[", "B", "]"}]}], ",", 
             RowBox[{"3", "*", 
              RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"d", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "  ", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"x", "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{"x", "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"x", "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"x", "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", " ", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", 
               RowBox[{"x", "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.5"}], "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Round", "[", 
                   RowBox[{"180", "*", 
                    RowBox[{
                    RowBox[{"ArcCos", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}], ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ")"}]}], 
                    "\[IndentingNewLine]", "/", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], "]"}], "*", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], "]"}]}], 
                    ")"}]}], "]"}], "/", "Pi"}]}], "]"}], 
                  "\[IndentingNewLine]", "\"\<\[Degree]\>\""}], ",", 
                 "Large"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
                  RowBox[{"3", "*", 
                   RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "0.5"}], "}"}]}]}], "]"}]}], "}"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<P\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{"x", "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", 
              RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "A", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", 
              RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<B\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "B", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.3", ",", 
              RowBox[{"-", "0.4"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<C\>\"", ",", "Large"}], "]"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3", "*", 
               RowBox[{"Cos", "[", "CC", "]"}]}], ",", 
              RowBox[{"3", "*", 
               RowBox[{"Sin", "[", "CC", "]"}]}]}], "}"}], "+", 
            RowBox[{"{", 
             RowBox[{"0.5", ",", 
              RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"l", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", 
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                   RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "-", 
                 RowBox[{"5", "*", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}]}]}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                   RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "+", 
                 RowBox[{"5", "*", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"3", "*", 
                    RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                    RowBox[{"3", "*", 
                    RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}]}], ")"}]}]}]}], 
               "}"}], "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"c2", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{"Pink", ",", 
             RowBox[{"Circle", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Cos", "[", "A", "]"}]}], ",", 
                  RowBox[{"3", "*", 
                   RowBox[{"Sin", "[", "A", "]"}]}]}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"3", "*", 
                   RowBox[{"Cos", "[", "B", "]"}]}], ",", 
                  RowBox[{"3", "*", 
                   RowBox[{"Sin", "[", "B", "]"}]}]}], "}"}]}], ",", "3"}], 
              "]"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"th", "\[Equal]", "1"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{
                "\"\<\:5186\:5468\:89d2\:306e\:5b9a\:7406\:306e\:9006\\n2\
\:70b9C,P\:304c\:76f4\:7ddaAB\:306b\:3064\:3044\:3066\:540c\:3058\:5074\\n\
\:306b\:3042\:308a\:3000\:3000\[Angle]APB=\[Angle]ACP\:3000\:3000\:306a\:3089\
\:3070\\n \
4\:70b9A,B,C,P\:306f\:540c\:4e00\:5186\:5468\:4e0a\:306b\:3042\:308b\:3002\>\"\
", ",", "Large"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", 
                 RowBox[{"-", "7"}]}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Opacity", "[", "0.2", "]"}], ",", "Yellow", ",", 
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "5"}], ",", 
                    RowBox[{"-", "10"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "5"}], ",", 
                    RowBox[{"-", "4"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"10", ",", 
                    RowBox[{"-", "4"}]}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"10", ",", 
                    RowBox[{"-", "10"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
            "}"}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
        "}"}], "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "10"}], ",", "5"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"GridLines", "\[Rule]", "Automatic"}], ","}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], 
    "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c0", ",", "0", ",", "\"\<\:5186\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c1", ",", "0", ",", "\"\<\:5186\:70b9\:7dda\>\""}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "0", ",", "\"\<\:89d2\:5ea6\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"l", ",", "0", ",", "\"\<\:76f4\:7ddaAB\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"CC", ",", "0.3", ",", 
      RowBox[{"0.3", "+", 
       RowBox[{"2", "*", "Pi"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c2", ",", "0", ",", "\"\<\:5186\:ff12\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "th", ",", "0", ",", 
        "\"\<\:5186\:5468\:89d2\:306e\\n\:5b9a\:7406\:306e\:9006\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"A", ",", "0", ",", 
      RowBox[{"2", "*", "Pi"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"B", ",", "Pi", ",", 
      RowBox[{"3", "*", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "4"}], "}"}]}], "}"}], ",", "Locator"}], 
     "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "Large"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228517360319505`*^9, 
   3.622851888770571*^9}, {3.622869944764762*^9, 3.6228699498657002`*^9}, {
   3.62300881856843*^9, 3.6230089464969597`*^9}, {3.623008978145352*^9, 
   3.623008993321622*^9}, {3.6230146289140887`*^9, 3.623014762294089*^9}, {
   3.623014792558089*^9, 3.623014959400089*^9}, {3.6230150305520554`*^9, 
   3.623015077570757*^9}, {3.6230151119673123`*^9, 3.623015159825658*^9}, {
   3.6230151939723067`*^9, 3.623015224624735*^9}, {3.6230152648238735`*^9, 
   3.623015297862979*^9}, {3.623015369572501*^9, 3.623015374408253*^9}, {
   3.623015405669918*^9, 3.623015447820578*^9}, {3.62302460665335*^9, 
   3.623024668568559*^9}, {3.6230247468478537`*^9, 3.623024948334689*^9}, {
   3.6230249989404407`*^9, 3.6230250066155424`*^9}, {3.623025059998058*^9, 
   3.6230251055182743`*^9}, {3.6230251453445635`*^9, 
   3.6230251849680557`*^9}, {3.62302540996774*^9, 3.623025423250914*^9}, {
   3.6230254833607883`*^9, 3.623025491165238*^9}, {3.6230256587993317`*^9, 
   3.623025749797777*^9}, {3.6230259477225294`*^9, 3.6230259747751837`*^9}, {
   3.623026072049289*^9, 3.623026194082658*^9}, {3.6230263154410453`*^9, 
   3.6230264373129325`*^9}, {3.6230264759088173`*^9, 
   3.6230265099337254`*^9}, {3.623026597046062*^9, 3.62302660005692*^9}, {
   3.6230266328955517`*^9, 3.6230267031437025`*^9}, {3.623026743688882*^9, 
   3.6230267477761607`*^9}, {3.623026780224785*^9, 3.6230267857316904`*^9}, {
   3.623026823390815*^9, 3.623026827244089*^9}, {3.62303211889126*^9, 
   3.6230322963423977`*^9}, {3.6230325374263434`*^9, 3.62303257435178*^9}, {
   3.623032634256164*^9, 3.623032642025014*^9}, {3.623106378187802*^9, 
   3.623106453784917*^9}, {3.623106490148284*^9, 3.6231065188521*^9}, {
   3.6231066279422007`*^9, 3.6231066731039114`*^9}, {3.6231067579049673`*^9, 
   3.6231067689340973`*^9}, {3.6231069439649754`*^9, 3.623106952123723*^9}, {
   3.6231069979562287`*^9, 3.6231070248036566`*^9}, {3.623107060839426*^9, 
   3.6231070705581636`*^9}, {3.6231123296016455`*^9, 3.62311236619948*^9}, {
   3.623112425604661*^9, 3.623112555038145*^9}, {3.623112891109145*^9, 
   3.623112982542745*^9}, {3.6231192971043105`*^9, 3.623119300647488*^9}, {
   3.6231195055814276`*^9, 3.623119556307979*^9}, {3.6231196005310807`*^9, 
   3.6231196188813868`*^9}, {3.623634948198058*^9, 3.6236349507427816`*^9}, {
   3.623635062096794*^9, 3.6236350857680626`*^9}, {3.6236351798133707`*^9, 
   3.623635258878784*^9}, 3.6236353049494233`*^9, {3.623635428121687*^9, 
   3.6236354414763994`*^9}, {3.62369948005193*^9, 3.6236995051053696`*^9}, 
   3.6236995692365584`*^9, 3.623700638271182*^9, {3.62372197705048*^9, 
   3.6237219807008567`*^9}, {3.623722255883093*^9, 3.6237222631994457`*^9}, {
   3.6237223050227776`*^9, 3.623722388716241*^9}, {3.6237224331291566`*^9, 
   3.6237224334411545`*^9}, {3.6237225008171225`*^9, 3.623722502579911*^9}, {
   3.6237230415564556`*^9, 3.623723064051512*^9}, {3.6237230990888867`*^9, 
   3.62372316097369*^9}, 3.6237233260206323`*^9, 3.623723365503979*^9, {
   3.623723402163744*^9, 3.623723406157318*^9}, {3.626815178336041*^9, 
   3.6268152069312983`*^9}, {3.6268152443082495`*^9, 
   3.6268153377506533`*^9}, {3.6268154528816905`*^9, 3.6268154765860586`*^9}, 
   3.6268299303816953`*^9, {3.626829996978901*^9, 3.6268300392935963`*^9}, {
   3.62683008496784*^9, 3.62683010478137*^9}, {3.626830148393014*^9, 
   3.626830173831826*^9}, {3.626830212661973*^9, 3.6268302574455395`*^9}, {
   3.6268310929269304`*^9, 3.626831117865724*^9}, {3.6268312800446825`*^9, 
   3.626831440271739*^9}, {3.626832732379981*^9, 3.6268328163062105`*^9}, {
   3.626834116381859*^9, 3.6268341582902794`*^9}, {3.6268342294124484`*^9, 
   3.626834244085085*^9}, 3.6268343489301524`*^9, {3.626834384291362*^9, 
   3.6268343846976347`*^9}, {3.626834506449317*^9, 3.626834517574892*^9}, {
   3.626834606282349*^9, 3.626834617673566*^9}, {3.626834945674177*^9, 
   3.626835010068142*^9}, {3.6268358644249673`*^9, 3.626835906677168*^9}, {
   3.626835964211396*^9, 3.6268361378766575`*^9}, {3.626836312611562*^9, 
   3.626836422148494*^9}, 3.626837207202815*^9, {3.6268394463833385`*^9, 
   3.6268395826219215`*^9}, {3.62684006309696*^9, 3.626840093001789*^9}, {
   3.626840124217393*^9, 3.626840182452196*^9}, {3.626840479410954*^9, 
   3.626840490255268*^9}, {3.6268406301153283`*^9, 3.6268406853947315`*^9}, {
   3.626840786640684*^9, 3.6268407967506137`*^9}, {3.6268451456628723`*^9, 
   3.626845249387007*^9}, {3.6268452843575716`*^9, 3.626845337313443*^9}, {
   3.6268455493247952`*^9, 3.626845615500097*^9}, {3.6268459137655864`*^9, 
   3.6268459175939007`*^9}, {3.6268460686798573`*^9, 3.626846169935113*^9}, {
   3.6268463278107557`*^9, 3.6268463868138175`*^9}, {3.62684658377717*^9, 
   3.626846590777526*^9}, {3.626846627904454*^9, 3.6268467416447287`*^9}, {
   3.626846842743726*^9, 3.6268469292950897`*^9}, {3.6268470095023766`*^9, 
   3.626847198621563*^9}, {3.6268472417644634`*^9, 3.626847250436759*^9}, {
   3.6268473106742525`*^9, 3.6268473642551603`*^9}, {3.6268473966943417`*^9, 
   3.6268473971943665`*^9}, {3.6268474579631443`*^9, 
   3.6268474682136774`*^9}, {3.6268475437800975`*^9, 
   3.6268475488272347`*^9}, {3.626848304419773*^9, 3.6268484177694073`*^9}, {
   3.626848452099309*^9, 3.626848477163106*^9}, {3.626848509211646*^9, 
   3.6268485673084126`*^9}, {3.6268486003101225`*^9, 3.6268487087063704`*^9}, 
   3.627010308469825*^9, {3.627012882940384*^9, 3.6270129402156167`*^9}, {
   3.6270131031859717`*^9, 3.6270131128267097`*^9}, {3.627013151177264*^9, 
   3.627013175373709*^9}, {3.6270132091650925`*^9, 3.6270132355047235`*^9}, {
   3.6270133003741083`*^9, 3.6270133418748417`*^9}, {3.627013383157177*^9, 
   3.627013454237322*^9}, {3.6270135288724437`*^9, 3.6270135587346525`*^9}, {
   3.627013659069609*^9, 3.6270136779172883`*^9}, {3.6270137821100264`*^9, 
   3.627013833825695*^9}, {3.6270138823921833`*^9, 3.627013883593376*^9}, {
   3.627014178760126*^9, 3.6270141896177263`*^9}, {3.6270142725175266`*^9, 
   3.627014303066326*^9}, {3.6270143787925262`*^9, 3.627014395234926*^9}, {
   3.627014447626726*^9, 3.6270144551167264`*^9}, {3.6270145114407263`*^9, 
   3.627014524669526*^9}, {3.6270146219495263`*^9, 3.6270146852163267`*^9}, {
   3.6270147266139264`*^9, 3.6270147941499853`*^9}, {3.6270148440560656`*^9, 
   3.6270148476752424`*^9}, {3.627015427515526*^9, 3.6270154594983206`*^9}, {
   3.6270155009522552`*^9, 3.6270155718306007`*^9}, {3.6270156093035603`*^9, 
   3.6270159462902007`*^9}, {3.6270161475861106`*^9, 3.627016148927702*^9}, {
   3.627016212098697*^9, 3.6270164612445*^9}, {3.6270168632621236`*^9, 
   3.6270168715456705`*^9}, {3.627016918555169*^9, 3.627017000337845*^9}, {
   3.6270170423835754`*^9, 3.627017062229648*^9}, {3.6270170978794193`*^9, 
   3.6270171483324966`*^9}, {3.627070861044466*^9, 3.6270709494107957`*^9}, {
   3.6270710092265635`*^9, 3.627071187141187*^9}, {3.6270714892048674`*^9, 
   3.627071513184572*^9}, {3.627071548131708*^9, 3.627071611629406*^9}, {
   3.6270716417057056`*^9, 3.6270716500056505`*^9}, {3.6270720799398746`*^9, 
   3.627072100904245*^9}, {3.6270723234740677`*^9, 3.6270723441607285`*^9}, {
   3.627072419231778*^9, 3.627072447906049*^9}, {3.6270724847863398`*^9, 
   3.6270725485780115`*^9}, {3.627072621199735*^9, 3.6270727075656786`*^9}, {
   3.6270727419496217`*^9, 3.6270727560526543`*^9}, {3.6270728077221727`*^9, 
   3.6270729634951625`*^9}, {3.6270730438075657`*^9, 3.627073351141356*^9}, {
   3.6270733826859713`*^9, 3.6270734006735783`*^9}, {3.6270735907993097`*^9, 
   3.6270739505202503`*^9}, {3.6270739868542805`*^9, 
   3.6270740298186083`*^9}, {3.6270740687579556`*^9, 3.6270741526429195`*^9}, 
   3.6270741865432405`*^9, {3.627074236153466*^9, 3.62707424225334*^9}, 
   3.6270743706783023`*^9, {3.627074416622364*^9, 3.6270744461700897`*^9}, {
   3.6270746938468027`*^9, 3.627074698105794*^9}, {3.627076538540368*^9, 
   3.6270765437975683`*^9}, {3.627076574732368*^9, 3.627076575746368*^9}, {
   3.627076712839168*^9, 3.6270767563319683`*^9}, {3.6270768066739335`*^9, 
   3.6270768110888186`*^9}, {3.6270769427241497`*^9, 
   3.6270769880430217`*^9}, {3.627077042144862*^9, 3.6270770538138866`*^9}, {
   3.627077087448265*^9, 3.6270770899287286`*^9}, {3.6270777489105787`*^9, 
   3.6270777561177783`*^9}, {3.6270780726497936`*^9, 3.627078077470256*^9}, {
   3.627078140667304*^9, 3.6270781411197157`*^9}, {3.6270785122536397`*^9, 
   3.6270785454654627`*^9}, {3.6270785993159723`*^9, 
   3.6270787229287877`*^9}, {3.6270787542063866`*^9, 
   3.6270787667642255`*^9}, {3.627263137435401*^9, 3.627263138215366*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 5.453804846631881, $CellContext`B$$ = 
    4.0149554112877555`, $CellContext`c0$$ = 0, $CellContext`c1$$ = 
    1, $CellContext`c2$$ = 0, $CellContext`CC$$ = 
    1.1300000000000001`, $CellContext`d$$ = 1, $CellContext`l$$ = 
    1, $CellContext`th$$ = 1, $CellContext`x$$ = {-1, 4}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`c0$$], 0, "\:5186"}, {0, 1}}, {{
       Hold[$CellContext`c1$$], 0, "\:5186\:70b9\:7dda"}, {0, 1}}, {{
       Hold[$CellContext`d$$], 0, "\:89d2\:5ea6"}, {0, 1}}, {{
       Hold[$CellContext`l$$], 0, "\:76f4\:7ddaAB"}, {0, 1}}, {
      Hold[$CellContext`CC$$], 0.3, 6.583185307179586}, {{
       Hold[$CellContext`c2$$], 0, "\:5186\:ff12"}, {0, 1}}, {{
       Hold[$CellContext`th$$], 0, 
       "\:5186\:5468\:89d2\:306e\n\:5b9a\:7406\:306e\:9006"}, {0, 1}}, {
      Hold[$CellContext`A$$], 0, 2 Pi}, {
      Hold[$CellContext`B$$], Pi, 3 Pi}, {{
       Hold[$CellContext`x$$], {-1, 4}}, Automatic}}, Typeset`size$$ = {
    504., {247., 257.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`c0$2096$$ = 
    False, $CellContext`c1$2097$$ = False, $CellContext`d$2098$$ = 
    False, $CellContext`l$2099$$ = False, $CellContext`CC$2100$$ = 
    0, $CellContext`c2$2101$$ = False, $CellContext`th$2102$$ = 
    False, $CellContext`A$2103$$ = 0, $CellContext`B$2104$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = 0, $CellContext`B$$ = 
        Pi, $CellContext`c0$$ = 0, $CellContext`c1$$ = 0, $CellContext`c2$$ = 
        0, $CellContext`CC$$ = 0.3, $CellContext`d$$ = 0, $CellContext`l$$ = 
        0, $CellContext`th$$ = 0, $CellContext`x$$ = {-1, 4}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c0$$, $CellContext`c0$2096$$, False], 
        Hold[$CellContext`c1$$, $CellContext`c1$2097$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$2098$$, False], 
        Hold[$CellContext`l$$, $CellContext`l$2099$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$2100$$, 0], 
        Hold[$CellContext`c2$$, $CellContext`c2$2101$$, False], 
        Hold[$CellContext`th$$, $CellContext`th$2102$$, False], 
        Hold[$CellContext`A$$, $CellContext`A$2103$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$2104$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Thickness[0.009], 
          If[$CellContext`c0$$ == 1, {Pink, 
            Circle[{0, 0}, 3]}], 
          If[$CellContext`c1$$ == 1, {Red, Dotted, 
            Circle[{0, 0}, 3]}], {
           PointSize[Large], 
           Point[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}], 
           Point[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}], 
           Point[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]}, {
          Green, 
           
           Line[{$CellContext`x$$, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Green, 
           
           Line[{$CellContext`x$$, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, 
          If[$CellContext`d$$ == 1, {Red, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[$CellContext`x$$ - {
                    3 Cos[$CellContext`A$$], 3 
                    Sin[$CellContext`A$$]}, $CellContext`x$$ - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[$CellContext`x$$ - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[$CellContext`x$$ - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], $CellContext`x$$ + {0, 0.5}], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
              0, 0.5}]}], 
          Text[
           Style["P", Large], $CellContext`x$$ + {0.5, -0.5}], 
          Text[
           Style[
           "A", Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "B", Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "C", Large], {
            3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
            0.5, -0.5}], 
          If[$CellContext`l$$ == 1, {Pink, 
            
            Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} - 
              5 ({3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}), {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + 
              5 ({3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})}]}], 
          If[$CellContext`c2$$ == 1, {Pink, 
            Circle[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
              3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}, 3]}], 
          If[$CellContext`th$$ == 1, {
            Text[
             Style[
             "\:5186\:5468\:89d2\:306e\:5b9a\:7406\:306e\:9006\n2\:70b9C,P\
\:304c\:76f4\:7ddaAB\:306b\:3064\:3044\:3066\:540c\:3058\:5074\n\:306b\:3042\
\:308a\:3000\:3000\[Angle]APB=\[Angle]ACP\:3000\:3000\:306a\:3089\:3070\n 4\
\:70b9A,B,C,P\:306f\:540c\:4e00\:5186\:5468\:4e0a\:306b\:3042\:308b\:3002", 
              Large], {2, -7}], {
             Opacity[0.2], Yellow, 
             Polygon[{{-5, -10}, {-5, -4}, {10, -4}, {10, -10}}]}}]}], 
        PlotRange -> {{-5, 10}, {-10, 5}}, AspectRatio -> Automatic], 
      "Specifications" :> {{{$CellContext`c0$$, 0, "\:5186"}, {0, 
         1}}, {{$CellContext`c1$$, 0, "\:5186\:70b9\:7dda"}, {0, 
         1}}, {{$CellContext`d$$, 0, "\:89d2\:5ea6"}, {0, 
         1}}, {{$CellContext`l$$, 0, "\:76f4\:7ddaAB"}, {0, 
         1}}, {$CellContext`CC$$, 0.3, 
         6.583185307179586}, {{$CellContext`c2$$, 0, "\:5186\:ff12"}, {0, 
         1}}, {{$CellContext`th$$, 0, 
          "\:5186\:5468\:89d2\:306e\n\:5b9a\:7406\:306e\:9006"}, {0, 
         1}}, {$CellContext`A$$, 0, 2 Pi}, {$CellContext`B$$, Pi, 3 
         Pi}, {{$CellContext`x$$, {-1, 4}}, Automatic, ControlType -> 
         Locator}}, 
      "Options" :> {ControlPlacement -> Left, ImageSize -> Large}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{950., {292., 301.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.6270741815354156`*^9, 3.627074187494883*^9}, 
   3.6270743990403748`*^9, 3.6270744470905313`*^9, 3.627074699400652*^9, 
   3.627076544483968*^9, 3.627076719141568*^9, 3.6270768146144867`*^9, 
   3.627076989119442*^9, 3.6270770979629345`*^9, 3.6270777570537786`*^9, 
   3.6270780819631133`*^9, 3.6270781430229645`*^9, 3.6270785188990035`*^9, 
   3.6270785499894047`*^9, {3.627078616709749*^9, 3.627078640998638*^9}, 
   3.627078674460209*^9, 3.62707872661034*^9, 3.6270787680902085`*^9, {
   3.62726314124163*^9, 3.627263154953415*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1345, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>1.4 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 328, 6, 77, "Subsubsection"],
Cell[CellGroupData[{
Cell[932, 32, 35438, 769, 1474, "Input"],
Cell[36373, 803, 8873, 169, 616, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
